org.apache.ignite.internal.processors.cache

## Class EntryProcessorResourceInjectorProxy<K,V,T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.EntryProcessorResourceInjectorProxy<K,V,T>

All Implemented Interfaces:
  Serializable, javax.cache.processor.EntryProcessor<K,V,T>

    public class EntryProcessorResourceInjectorProxy<K,V,T>
    extends Object
    implements javax.cache.processor.EntryProcessor<K,V,T>, Serializable

Entry processor wrapper injecting Ignite resources into target processor before execution.

See Also:
  Serialized Form

### Method Summary

Methods
`javax.cache.processor.EntryProcessor<K,V,T>` `delegate()`
`T` `process(javax.cache.processor.MutableEntry<K,V> entry, Object... arguments)`
`static <K,V,T> javax.cache.processor.EntryProcessor<K,V,T>` `wrap(GridKernalContext ctx, javax.cache.processor.EntryProcessor<K,V,T> proc)` Wraps EntryProcessor if needed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### process

    public T process(javax.cache.processor.MutableEntry<K,V> entry,
            Object... arguments)
              throws javax.cache.processor.EntryProcessorException

Specified by:
  `process` in interface `javax.cache.processor.EntryProcessor<K,V,T>`
Throws:
  `javax.cache.processor.EntryProcessorException`

#### delegate

    public javax.cache.processor.EntryProcessor<K,V,T> delegate()

Returns:
  Delegate entry processor.

#### wrap

    public static <K,V,T> javax.cache.processor.EntryProcessor<K,V,T> wrap(GridKernalContext ctx,
                                                           @Nullable
                                                           javax.cache.processor.EntryProcessor<K,V,T> proc)

Wraps EntryProcessor if needed.

Parameters:
  `ctx` - Context.
  `proc` - Entry proc.
Returns:
  Wrapped entry proc if wrapping is needed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017